package cn.com.qmth.stmms.ms.admin.dto;

import cn.com.qmth.stmms.ms.core.domain.MarkStage;

import java.io.Serializable;

/**
 * Created by zhengmin on 2016/11/22.
 */
public class SubjectOverview implements Serializable {


    private static final long serialVersionUID = -7288090404587137615L;

    private Long workId;

    private String subjectId;

    private String subjectName;

    private String subject;

    private MarkStage markStage;

    /**
     * 已上传试卷数
     */
    private long uploadedCount;

    /**
     * 剩余试卷数
     */
    private long leftCount;

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public MarkStage getMarkStage() {
        return markStage;
    }

    public void setMarkStage(MarkStage markStage) {
        this.markStage = markStage;
    }

    public long getUploadedCount() {
        return uploadedCount;
    }

    public void setUploadedCount(long uploadedCount) {
        this.uploadedCount = uploadedCount;
    }

    public long getLeftCount() {
        return leftCount;
    }

    public void setLeftCount(long leftCount) {
        this.leftCount = leftCount;
    }


    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }
}
